MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022960Community[OCCT] OCCT:Visualizationpublic2012-01-31 14:532012-04-16 12:25
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022960: Memory leak in Xw_get_env.cxx
DescriptionThe variable 'string' is not freed before leaving the function 'Xw_put_env' in line 85.

Is the file Xw_get_env.cxx used at all? I can't figure out which project it belongs to.
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019626)
dbv (developer)
2012-02-17 15:14

Dear Pawel,

File Xw_get_env.cxx is used only for Linux, therefore you could not find it in the Visual Studio projects.
Variable should not be freed, as it becomes part of the environment.(According to the manual for "putenv")
Since the function "Xw_put_env" is not used anywhere, we decided to remove it.

Branch http://svn/svn/occt/branches/OCC22960 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019648)
abv (manager)
2012-02-17 18:45

No remarks, please test
(0019709)
mkv (tester)
2012-02-21 19:54

Dear BugMaster,
Workbench KAS:dev:mkv-22960-occt was created from SVN branch http://svn/svn/occt/branches/OCC22960 [^]
(and mkv-22960-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22960-products regarding to KAS:dev:products-20120217-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22960-products_20022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120217-opt_17022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019726)
bugmaster (administrator)
2012-02-22 14:22

Integrated into trunk of occt repository

Date: 2012-02-22 14:18:58 +0400 (Wed, 22 Feb 2012)
New Revision: 10589

Modified:
   trunk/src/Xw/Xw_Cextern.hxx
   trunk/src/Xw/Xw_get_env.cxx
(0020360)
Pawel (developer)
2012-04-12 16:05

This issue is resolved. Please close.

- Related Changesets
occt: master 88c36d59
Timestamp: 2012-02-22 10:18:58
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022960: Memory leak in Xw_get_env.cxx
mod - src/Xw/Xw_Cextern.hxx Diff ] File ]
mod - src/Xw/Xw_get_env.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-31 14:53 Pawel New Issue
2012-01-31 14:53 Pawel Assigned To => apv
2012-01-31 15:10 bugmaster Assigned To apv => san
2012-01-31 15:10 bugmaster Category OCCT Release:PROD => OCCT:Visualization
2012-02-14 13:05 abv Assigned To san => dbv
2012-02-14 13:05 abv Status new => assigned
2012-02-17 15:14 dbv Note Added: 0019626
2012-02-17 15:14 dbv Assigned To dbv => abv
2012-02-17 15:14 dbv Status assigned => resolved
2012-02-17 18:45 abv Note Added: 0019648
2012-02-17 18:45 abv Status resolved => reviewed
2012-02-20 13:16 mkv Assigned To abv => mkv
2012-02-21 19:54 mkv Note Added: 0019709
2012-02-21 19:55 mkv Test case number => Test case is not required
2012-02-21 19:55 mkv Assigned To mkv => bugmaster
2012-02-21 19:55 mkv Status reviewed => tested
2012-02-22 14:22 bugmaster Note Added: 0019726
2012-02-22 14:22 bugmaster Status tested => verified
2012-02-22 14:22 bugmaster Resolution open => fixed
2012-02-22 14:22 bugmaster Assigned To bugmaster => Pawel
2012-02-22 14:22 bugmaster Target Version => 6.5.3
2012-03-29 17:26 bugmaster Changeset attached => occt master 88c36d59
2012-04-12 16:05 Pawel Note Added: 0020360
2012-04-16 12:25 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker